Package com.independentsoft.office.word

# Class Indentation

java.lang.Object
com.independentsoft.office.word.Indentation

public class Indentation extends Object
The Class Indentation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Indentation()`
  Instantiates a new indentation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Indentation`
  `clone()`
  `int`
  `getFirstLine()`
  Gets the first line.
  `int`
  `getFirstLineChars()`
  Gets the first line chars.
  `int`
  `getHanging()`
  Gets the hanging.
  `int`
  `getHangingChars()`
  Gets the hanging chars.
  `int`
  `getLeft()`
  Gets the left.
  `int`
  `getLeftChars()`
  Gets the left chars.
  `int`
  `getRight()`
  Gets the right.
  `int`
  `getRightChars()`
  Gets the right chars.
  `void`
  `setFirstLine​(int firstLine)`
  Sets the first line.
  `void`
  `setFirstLineChars​(int firstLineChars)`
  Sets the first line chars.
  `void`
  `setHanging​(int hanging)`
  Sets the hanging.
  `void`
  `setHangingChars​(int hangingChars)`
  Sets the hanging chars.
  `void`
  `setLeft​(int left)`
  Sets the left.
  `void`
  `setLeftChars​(int leftChars)`
  Sets the left chars.
  `void`
  `setRight​(int right)`
  Sets the right.
  `void`
  `setRightChars​(int rightChars)`
  Sets the right chars.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Indentation

    public Indentation()
    Instantiates a new indentation.

- ## Method Details

  - ### clone

    public Indentation clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFirstLine

    public int getFirstLine()
    Gets the first line.
    Returns:
      the first line

  - ### setFirstLine

    public void setFirstLine​(int firstLine)
    Sets the first line.
    Parameters:
      `firstLine` - the new first line

  - ### getFirstLineChars

    public int getFirstLineChars()
    Gets the first line chars.
    Returns:
      the first line chars

  - ### setFirstLineChars

    public void setFirstLineChars​(int firstLineChars)
    Sets the first line chars.
    Parameters:
      `firstLineChars` - the new first line chars

  - ### getHanging

    public int getHanging()
    Gets the hanging.
    Returns:
      the hanging

  - ### setHanging

    public void setHanging​(int hanging)
    Sets the hanging.
    Parameters:
      `hanging` - the new hanging

  - ### getHangingChars

    public int getHangingChars()
    Gets the hanging chars.
    Returns:
      the hanging chars

  - ### setHangingChars

    public void setHangingChars​(int hangingChars)
    Sets the hanging chars.
    Parameters:
      `hangingChars` - the new hanging chars

  - ### getLeft

    public int getLeft()
    Gets the left.
    Returns:
      the left

  - ### setLeft

    public void setLeft​(int left)
    Sets the left.
    Parameters:
      `left` - the new left

  - ### getLeftChars

    public int getLeftChars()
    Gets the left chars.
    Returns:
      the left chars

  - ### setLeftChars

    public void setLeftChars​(int leftChars)
    Sets the left chars.
    Parameters:
      `leftChars` - the new left chars

  - ### getRight

    public int getRight()
    Gets the right.
    Returns:
      the right

  - ### setRight

    public void setRight​(int right)
    Sets the right.
    Parameters:
      `right` - the new right

  - ### getRightChars

    public int getRightChars()
    Gets the right chars.
    Returns:
      the right chars

  - ### setRightChars

    public void setRightChars​(int rightChars)
    Sets the right chars.
    Parameters:
      `rightChars` - the new right chars